PDA

View Full Version : Drill Down Menu



_sf
05-25-2011, 07:03 AM
1) Script Title: Drill Down Menu

2) Script URL (on DD): http://www.dynamicdrive.com/dynamicindex1/drilldownmenu.htm#

3) Describe problem: Drill Down seems only work with jQuery version up to version 1.3.x, not newer.
Q1: is there any effort to make drill down menu work with actual jQuery?
Q2: is there any successor of drill down menu, with similar function and working with actual jQuery?
TIA

ddadmin
05-25-2011, 08:23 AM
What version of jQuery does the script not work for you in? Testing it with jQuery 1.5.2 seems to work fine:


<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>

_sf
05-25-2011, 09:42 AM
http://ajax.googleapis.com isn't available to me.
I tried versions
http://code.jquery.com/jquery-1.6.1.js
and
http://code.jquery.com/jquery-1.5.2.js
both don't work.
With 1.5.2 I receive:
uncaught exception: [Exception... "Node cannot be inserted at the specified point in the hierarchy" code: "3" nsresult: "0x80530003 (NS_ERROR_DOM_HIERARCHY_REQUEST_ERR)" location: "file:///C:/Projekte/Marquis/KGAS/KGAS_App/V01eexx/V01eenn/source/GUI/WebServerDemo/WebRoot/js/jquery.js Line: 5672"]
With 1.6.1 it is the same error, but other source line #

ddadmin
05-25-2011, 05:53 PM
Why wouldn't ajax.googleapis.com not be available to you, as it's just a reference to the library on Google's server? Anyhow, even using jquery 1.6.1 served from jquery the script still works for me (FF3.6 and IE9). What browser are you using?

_sf
05-26-2011, 12:13 PM
Hi,
maybe yesterday I had a network problem, so today ajax.googleapis.com works for me.
In FF 4.0.1 it doesn't work, in IE8 it works!
Maybe something in FF DOM or javascript has changed?

ddadmin
05-27-2011, 05:48 PM
Hmm just tested the menu using jQuery 1.5.2 and FF4.01- no discernible problems for me there.